loProgress = createobject('ProgressDialog')
loSession  = XFRX('XFRX#INIT')
lnStatus   = loSession.SetParams('orders.pdf', '', .F., '', .T., .F., 'PDF')
if lnStatus = 0
	loSession.SetProgressObj(loProgress, 2)
	loSession.ProcessReport('orders.frx')
	loSession.Finalize()
else
	do DisplayXFRXError with lnStatus
endif lnStatus = 0

function DisplayXFRXError(tnErrorCode)
local lcMessage
do case
	case tnErrorCode = -1
		lcMessage = 'Cannot load Word'
	case tnErrorCode = -2
		lcMessage = 'Need Word 2000 or higher'
	case tnErrorCode = -3
		lcMessage = 'Cannot access output file'
	case tnErrorCode = -4
		lcMessage = 'Unknown target'
	otherwise
		lcMessage = 'Unknown problem'
endcase
messagebox(lcMessage)
return

define class ProgressDialog as _thermometer of (home() + 'ffc\_therm.vcx')
	procedure UpdateProgress(tnReport, tnPage, tnPercent)
		if not This.Visible
			This.Show()
		endif not This.Visible
		This.Update(tnPercent, 'Processing page ' + transform(tnPage) + ;
			' of report ' + transform(tnReport))
	endproc
enddefine
